# PhasicFlow: src/phasicFlow/triSurface/triSurfaceKernels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

triSurfaceKernels.hpp File Reference
Include dependency graph for triSurfaceKernels.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::triSurfaceKernels

## Functions

INLINE_FUNCTION_H bool | calculateArea (const realx3Field_D &points, const uint32x3Field_D &vertices, realField_D &area)
INLINE_FUNCTION_H bool | calculateNormals (const realx3Field_D &points, const uint32x3Field_D &vertices, realx3Field_D &normals)